
#ifndef PCX_H
#define PCX_H

typedef struct pcx_header {
	uint8_t manufacturer;
	uint8_t version;
	uint8_t encoding;
	uint8_t bits_per_pixel;
	uint16_t x_min;
	uint16_t y_min;
	uint16_t x_max;
	uint16_t y_max;
	uint16_t horizontal_dpi;
	uint16_t vertical_dpi;
	uint8_t palette[48];
	uint8_t reserved;
	uint8_t colour_planes;
	uint16_t bytes_per_line;
	uint16_t palette_type;
	uint16_t h_scr_size;
	uint16_t v_scr_size;
	uint8_t filler[54];
} pcx_header;

typedef struct pcx_image {
	pcx_header *header;
	uint8_t *image;
	uint8_t *palette;
	int x_size;
	int y_size;
} pcx_image;


pcx_image *pcx_read_image(FILE *file);

void pcx_free_image(pcx_image *image);

#endif /* PCX_H */
